---
title: Element.clientHeight
slug: Web/API/Element/clientHeight
tags:
  - API
  - CSSOM View
  - NeedsMarkupWork
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>Element.clientHeight</code></strong> read-only property is zero for elements with no CSS or inline layout boxes; otherwise, it's the inner height of an element in pixels. It includes padding but excludes borders, margins, and horizontal scrollbars (if present).</p>

<p><code>clientHeight</code> can be calculated as: CSS <code>height</code> + CSS <code>padding</code> - height of horizontal scrollbar (if present).</p>

<p>When <code>clientHeight</code> is used on the root element (the <code>&lt;html&gt;</code> element), (or on <code>&lt;body&gt;</code> if the document is in quirks mode), the viewport's height (excluding any scrollbar) is returned. <a href="https://www.w3.org/TR/2016/WD-cssom-view-1-20160317/#dom-element-clientheight">This is a special case of <code>clientHeight</code></a>.</p>

<div class="note">
<p><strong>Note:</strong> This property will round the value to an integer. If you need a fractional value, use {{ domxref("element.getBoundingClientRect()") }}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>intElemClientHeight</var> = <var>element</var>.clientHeight;</pre>

<p><code><var>intElemClientHeight</var></code> is an integer corresponding to the <code>clientHeight</code> of <code><var>element</var></code> in pixels. The <code>clientHeight</code> property is read–only.</p>

<h2 id="Example">Example</h2>

<p><img alt="Image:Dimensions-client.png" class="internal" src="/@api/deki/files/185/=Dimensions-client.png"></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-element-clientheight', 'clientHeight')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h3 id="Notes">Notes</h3>

<p><code>clientHeight</code> is a property introduced in the Internet Explorer object model.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.clientHeight")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLElement.offsetHeight")}}</li>
 <li>{{domxref("Element.scrollHeight")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Object_Model/Determining_the_dimensions_of_elements">Determining the dimensions of elements</a></li>
</ul>
